ChangeSet 1.1132, 2003/09/24 11:00:44-07:00, greg@kroah.com

[PATCH] USB: add a new pl2303 device id.

Thanks to Stefan Verkoyen <stefan.verkoyen@quesd.com> for the information.


 drivers/usb/serial/pl2303.c |    1 +
 drivers/usb/serial/pl2303.h |    3 +++
 2 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Thu Sep 25 16:04:21 2003
+++ b/drivers/usb/serial/pl2303.c	Thu Sep 25 16:04:21 2003
@@ -76,6 +76,7 @@
 	{ USB_DEVICE(TRIPP_VENDOR_ID, TRIPP_PRODUCT_ID) },
 	{ USB_DEVICE(RADIOSHACK_VENDOR_ID, RADIOSHACK_PRODUCT_ID) },
 	{ USB_DEVICE(DCU10_VENDOR_ID, DCU10_PRODUCT_ID) },
+	{ USB_DEVICE(SITECOM_VENDOR_ID, SITECOM_PRODUCT_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/pl2303.h b/drivers/usb/serial/pl2303.h
--- a/drivers/usb/serial/pl2303.h	Thu Sep 25 16:04:21 2003
+++ b/drivers/usb/serial/pl2303.h	Thu Sep 25 16:04:21 2003
@@ -37,3 +37,6 @@
 
 #define DCU10_VENDOR_ID		0x0731
 #define DCU10_PRODUCT_ID	0x0528
+
+#define SITECOM_VENDOR_ID	0x6189
+#define SITECOM_PRODUCT_ID	0x2068
